Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1558 closed defect (fixed)

spi-sd-card: debug output not updated with new disk device interface

Reported by: Arnout Vandecappelle Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

The debug output of spi-sd-card wasn't properly updated after moving to the new disk device interface. Attached patch fixes it.

Attachments (1)

0001-c-src-libchip-i2c-spi-sd-card.c-Debug-output-wasn-t-.patch (1.0 KB) - added by Arnout Vandecappelle on 06/14/10 at 14:00:05.
Debug output wasn't updated to new disk device interface.

Download all attachments as: .zip

Change History (6)

Changed on 06/14/10 at 14:00:05 by Arnout Vandecappelle

Debug output wasn't updated to new disk device interface.

comment:1 Changed on 06/14/10 at 14:00:05 by Arnout Vandecappelle

The debug output of spi-sd-card wasn't properly updated after moving to the new disk device interface. Attached patch fixes it.

comment:2 Changed on 11/24/14 at 15:00:15 by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber
Status: newassigned

comment:3 Changed on 11/27/14 at 10:01:14 by Pavel Pisa <ppisa4lists@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"7d015db0c67dbaf64abdeaad317f5344ad2afa4c/rtems"]:

SPI SD-Card: adapt common driver code to block devices core API changes.

close #1558

comment:4 Changed on 12/17/14 at 07:27:06 by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:5 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.